Package be.fgov.ehealth.aa.complextype.v1

# Class OrganizationDescriberTypeV2

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.OrganizationDescriberTypeV2

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SupportedOrganizationV2`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class OrganizationDescriberTypeV2 extends Object implements Serializable
Metadata on supported organization v2.

Java class for OrganizationDescriberTypeV2 complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganizationDescriberTypeV2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}OrganizationTypeCode" maxOccurs="unbounded"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}OrganizationTypeFriendlyName" maxOccurs="unbounded"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute" maxOccurs="unbounded"/>
             <element name="CheckDigit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Regex" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AllowedBaseServices" type="{urn:be:fgov:ehealth:aa:complextype:v1}BaseServiceListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrganizationDescriberTypeV2()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BaseServiceListType`
  `getAllowedBaseServices()`
  Gets the value of the allowedBaseServices property.
  `List<Attribute>`
  `getAttributes()`
  Gets the value of the attributes property.
  `String`
  `getCheckDigit()`
  Gets the value of the checkDigit property.
  `List<TypeCodeType>`
  `getOrganizationTypeCodes()`
  Gets the value of the organizationTypeCodes property.
  `List<NameType>`
  `getOrganizationTypeFriendlyNames()`
  Gets the value of the organizationTypeFriendlyNames property.
  `String`
  `getRegex()`
  Gets the value of the regex property.
  `void`
  `setAllowedBaseServices(BaseServiceListType value)`
  Sets the value of the allowedBaseServices property.
  `void`
  `setCheckDigit(String value)`
  Sets the value of the checkDigit property.
  `void`
  `setRegex(String value)`
  Sets the value of the regex property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrganizationDescriberTypeV2

    public OrganizationDescriberTypeV2()

- ## Method Details

  - ### getOrganizationTypeCodes

    public List<TypeCodeType> getOrganizationTypeCodes()
    Gets the value of the organizationTypeCodes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the organizationTypeCodes property.

    For example, to add a new item, do as follows:

         getOrganizationTypeCodes().add(newItem);

    Objects of the following type(s) are allowed in the list `TypeCodeType`

    Returns:
      The value of the organizationTypeCodes property.

  - ### getOrganizationTypeFriendlyNames

    public List<NameType> getOrganizationTypeFriendlyNames()
    Gets the value of the organizationTypeFriendlyNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the organizationTypeFriendlyNames property.

    For example, to add a new item, do as follows:

         getOrganizationTypeFriendlyNames().add(newItem);

    Objects of the following type(s) are allowed in the list `NameType`

    Returns:
      The value of the organizationTypeFriendlyNames property.

  - ### getAttributes

    public List<Attribute> getAttributes()
    Gets the value of the attributes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

    For example, to add a new item, do as follows:

         getAttributes().add(newItem);

    Objects of the following type(s) are allowed in the list `Attribute`

    Returns:
      The value of the attributes property.

  - ### getCheckDigit

    public String getCheckDigit()
    Gets the value of the checkDigit property.
    Returns:
      possible object is `String`

  - ### setCheckDigit

    public void setCheckDigit(String value)
    Sets the value of the checkDigit property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRegex

    public String getRegex()
    Gets the value of the regex property.
    Returns:
      possible object is `String`

  - ### setRegex

    public void setRegex(String value)
    Sets the value of the regex property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAllowedBaseServices

    public BaseServiceListType getAllowedBaseServices()
    Gets the value of the allowedBaseServices property.
    Returns:
      possible object is `BaseServiceListType`

  - ### setAllowedBaseServices

    public void setAllowedBaseServices(BaseServiceListType value)
    Sets the value of the allowedBaseServices property.
    Parameters:
      `value` - allowed object is `BaseServiceListType`